Click Here
home features news forums classifieds faqs links search
5654 members 
Amiga Q&A /  Free for All /  Emulation /  Gaming / (Latest Posts)
Login

Nickname

Password

Lost Password?

Don't have an account yet?
Register now!

Support Amigaworld.net
Your support is needed and is appreciated as Amigaworld.net is primarily dependent upon the support of its users.
Donate

Menu
Main sections
Home
Features
News
Forums
Classifieds
Links
Downloads
Extras
OS4 Zone
IRC Network
AmigaWorld Radio
Newsfeed
Top Members
Amiga Dealers
Information
About Us
FAQs
Advertise
Polls
Terms of Service
Search

IRC Channel
Server: irc.amigaworld.net
Ports: 1024,5555, 6665-6669
SSL port: 6697
Channel: #Amigaworld
Channel Policy and Guidelines

Who's Online
57 crawler(s) on-line.
 18 guest(s) on-line.
 0 member(s) on-line.



You are an anonymous user.
Register Now!
 alpyre:  7 mins ago
 Serpi:  9 mins ago
 Templario:  9 mins ago
 LarsB:  11 mins ago
 BSzili:  18 mins ago
 BigD:  27 mins ago
 ekam:  29 mins ago
 zipper:  44 mins ago
 Overflow:  1 hr 24 mins ago
 bennymee:  1 hr 28 mins ago

Software News   Software News : Gnumeric 1.8.4 for AmiCygnix released
   posted by CygnusEd on 27-Jun-2011 14:42:15 (2323 reads)
A new release of Gnumeric for AmiCygnix is now available on OS4-Depot.
Gnumeric is a spreadsheet, which is similar to Microstoft Excel and is part of
the Gnome Office Suite like the text processor Abiword.

New in this release:

* New version 1.8.4 with many new features compared to the old release 1.6.3.

* Support of python plug-ins. A special python package is included.


Download: gnumeric.lha
Homepage: http://www.gnome.org/projects/gnumeric
Snapshots:



The main window





The python console
    

Related Links
· More about Software News
· News by CygnusEd


Most read story about Software News
UBoot 2010.06.04 for Sam460ex available

Last news about Software News
IBrowse 2.5 Released
Printer Friendly Page  Send this Story to a Friend

PosterThread
Varthall 
Re: Gnumeric 1.8.4 for AmiCygnix released
Posted on 27-Jun-2011 15:48:39
#1 ]
Super Member
Joined: 17-Feb-2004
Posts: 1552
From: Up Rough

I use Gnumeric often, so I'm happy to see this update, thanks for this new release!

Varthall


_________________
AmigaOne XE - AmigaOS 4.1 - Freescale 7457 1GHz - 1GB ram
MPlayer for OS4: https://sourceforge.net/projects/mplayer-amigaos/

 Status: Offline
Profile     Report this post  
lionstorm 
Re: Gnumeric 1.8.4 for AmiCygnix released
Posted on 27-Jun-2011 16:01:02
#2 ]
Super Member
Joined: 31-Jul-2003
Posts: 1557
From: the french side

Thx !

I recently installed the whole amicygnic package and was VERY impressed about the installation process : everything (installer, configuration) is well made and install went smoothly.

The only sad part is that it does not support 24-bit/32-bit screen so switching between WB in 32-bits and AmiCygnix in 16-bits always shows a delay and black screen on my LCD

 Status: Offline
Profile     Report this post  
Templario 
Re: Gnumeric 1.8.4 for AmiCygnix released
Posted on 27-Jun-2011 16:01:56
#3 ]
Elite Member
Joined: 22-Jun-2004
Posts: 3396
From: Palencia (Spain)

Thank you for the update, I'll test it in my future new Sam.


_________________
Amiga 500 with ROMs 1.3-2.05 and M-Tec AT500 with hard disk and 4MB Ram.
WinUAE + original OS 3.5&3.9
Sam440ep 800 MHZ + OS 4.1 F.E.
Sam460ex 1 GHz + OS 4.1 F.E.
MacMini 1.5 GHz + MorphOS 3.11.
PowerBook G4 1.65 + MorphOS 3.11.

 Status: Offline
Profile     Report this post  
VooDoo 
Re: Gnumeric 1.8.4 for AmiCygnix released
Posted on 27-Jun-2011 21:36:48
#4 ]
Super Member
Joined: 16-Jun-2003
Posts: 1495
From: Croatia

Thanx for update.. using it on my Micro all the time.. very useful progy..


_________________
--
A1200 sandwich :)

uA1c/g3-800 mHz/512mb/160gb hdd/OS4.1 Final + upd #1

MacMini G4 1.5ghz 1GB ram + MorphOS 3.9

Croatian Amiga portal

 Status: Offline
Profile     Report this post  
vulture 
Re: Gnumeric 1.8.4 for AmiCygnix released
Posted on 28-Jun-2011 19:52:23
#5 ]
Regular Member
Joined: 21-Sep-2006
Posts: 220
From: Greece

thx Ed! One of my frequently used programs, cheers!

 Status: Offline
Profile     Report this post  
broadblues 
Re: Gnumeric 1.8.4 for AmiCygnix released
Posted on 1-Jul-2011 10:13:16
#6 ]
Amiga Developer Team
Joined: 20-Jul-2004
Posts: 4391
From: Portsmouth England

That's great work.

I'm interested to know why you provide your own python? Could you not have linked against the AmigaOS4.x python?


_________________
BroadBlues On Blues BroadBlues On Amiga Walker Broad

 Status: Offline
Profile     Report this post  
CygnusEd 
Re: Gnumeric 1.8.4 for AmiCygnix released
Posted on 1-Jul-2011 12:20:20
#7 ]
Regular Member
Joined: 7-Feb-2004
Posts: 370
From: germany

@ broadblues

One reason is, that I needed the python library "libpython2.6.a" and the include files. Could not find these files for the OS4 port.

But much more important is, that the needed python modules like pyGTK, pygobject etc. would not work with OS4 python. All libs compiled for AmiCygnix are static libs and they depend on my AmiCygnix utility library.

 Status: Offline
Profile     Report this post  
broadblues 
Re: Gnumeric 1.8.4 for AmiCygnix released
Posted on 1-Jul-2011 14:50:41
#8 ]
Amiga Developer Team
Joined: 20-Jul-2004
Posts: 4391
From: Portsmouth England

@CygnusED

Quote:

One reason is, that I needed the python library "libpython2.6.a" and the include files. Could not find these files for the OS4 port.


Well we ony have python 2.5 if you 100% needed 2.6 I can see that would be a problem. Also only the .so veraion is available. The include files are in the SDK though.

I added a link from Python:include to sdk:Local/newlib/include/python2.5/ which makes things easier when configing some ports.


Quote:


But much more important is, that the needed python modules like pyGTK, pygobject etc. would not work with OS4 python. All libs compiled for AmiCygnix are static libs and they depend on my AmiCygnix utility library.


Well if you cannot build needed modules against os4 python that is certainly a problem. Could it be worth discussing this with OS4 developers?

Ah I just noticed that the .so files in your python package are "dummy", that explains a lot.


_________________
BroadBlues On Blues BroadBlues On Amiga Walker Broad

 Status: Offline
Profile     Report this post  
CygnusEd 
Re: Gnumeric 1.8.4 for AmiCygnix released
Posted on 1-Jul-2011 18:46:00
#9 ]
Regular Member
Joined: 7-Feb-2004
Posts: 370
From: germany

@ broadblues

No, Python 2.6 is not strongly required, but i need the static version of the library (BTW: I missed the includes in the SDK ).

But even this would not help. AmiCygnix and normal libs compiled for OS4 are too different. My libs are depending on my utility library and the includes and also on the Unix dir tree provided by AmiCygnix. So I always have to compile my own libraries, but with the big advantage of a good compatibility to Unix.

 Status: Offline
Profile     Report this post  
[ home ][ about us ][ privacy ] [ forums ][ classifieds ] [ links ][ news archive ] [ link to us ][ user account ]
Copyright (C) 2000 - 2019 Amigaworld.net.
Amigaworld.net was originally founded by David Doyle